kind: pipeline
type: ssh
name: ssh-linux-uat-irc-build-image

platform:
  os: Linux
  arch: 386
  
clone:
  disable: true

server:
  host: 47.117.164.182
  user: root
  password:
    from_secret: test_ssh_pwd

steps:
- name: build-uat-irc
  commands:
  - cd /opt/1panel/xc-deploy/Uat_IRC/devops-build-publish/Uat-To-Uat
  - sh uat-branch-latest-build-image-publish.sh  v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - Uat_IRC_Net8    
       
---
kind: pipeline
type: ssh
name: ssh-linux-test-irc-publish

platform:
  os: Linux
  arch: 386
  
clone:
  disable: true

server:
  host: 106.14.89.110
  user: root
  password:
    from_secret: test_ssh_pwd

steps:
- name: publish-test-irc
  commands:
  - cd /opt/1panel/xc-deploy/Test_IRC/devops-build-publish;sh test-irc-update-or-create-stack.sh v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - Test_IRC_Net8    
    
---
kind: pipeline
type: ssh
name: ssh-linux-test-irc-scp-publish

platform:
  os: Linux
  arch: 386
  
clone:
  disable: true

server:
  host: 106.14.89.110
  user: root
  password:
    from_secret: test_ssh_pwd

steps:
- name: publish-test-irc-scp
  commands:
  - cd /opt/1panel/xc-deploy/Test_IRC_SCP/devops-build-publish;sh pull-build-test-irc-scp-image.sh v${DRONE_BUILD_NUMBER}
  - cd /opt/1panel/xc-deploy/Test_IRC_SCP ;sh  update-image-if-need-then-pull-aliyun.sh v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - Test_IRC_Net8    
       
---
kind: pipeline
type: ssh
name: ssh-linux-test-study-publish

platform:
  os: Linux
  arch: 386

clone:
  disable: true  #禁用默认克隆
  
server:
  host: 106.14.89.110
  user: root
  password:
    from_secret: test_ssh_pwd
  
steps:
- name: publish-test-study
  commands:
  - cd /opt/1panel/xc-deploy/Test_Study/devops-build-publish ; sh pull-build-test-study-image.sh v${DRONE_BUILD_NUMBER}
  - cd /opt/1panel/xc-deploy/Test_Study ;sh  update-image-if-need-then-pull-aliyun.sh v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - Test_Study_Net8  

---
kind: pipeline
type: ssh
name: ssh-linux-test-scp-publish

platform:
  os: Linux
  arch: 386

clone:
  disable: true  #禁用默认克隆
  
server:
  host: 106.14.89.110
  user: root
  password:
    from_secret: test_ssh_pwd
  
steps:
- name: publish-test-hir-scp
  commands:
  - cd /opt/1panel/xc-deploy/Test_HIR_SCP/devops-build-publish;sh pull-build-test-hir-scp-image.sh v${DRONE_BUILD_NUMBER}
  - cd /opt/1panel/xc-deploy/Test_HIR_SCP ;sh  update-image-if-need-then-pull-aliyun.sh v${DRONE_BUILD_NUMBER}
trigger:
  branch:
    - Test_HIR
    

---

      
kind: pipeline
type: ssh
name: ssh-linux-test-hir-publish

platform:
  os: Linux
  arch: 386

clone:
  disable: true  #禁用默认克隆
  
server:
  host: 106.14.89.110
  user: root
  password:
    from_secret: test_ssh_pwd
  
steps:
- name: publish-test-hir
  commands:
  - cd /opt/1panel/xc-deploy/Test_HIR/devops-build-publish;sh pull-build-test-hir-image.sh v${DRONE_BUILD_NUMBER}
  - cd /opt/1panel/xc-deploy/Test_HIR ; sh update-image-if-need-then-pull-aliyun.sh v${DRONE_BUILD_NUMBER} 
trigger:
  branch:
    - Test_HIR
    
    